Package Details: postgresql-11 11.14-1

Git Clone URL: https://aur.archlinux.org/postgresql-11.git (read-only, click to copy)
Package Base: postgresql-11
Description: Libraries for use with PostgreSQL
Upstream URL: https://www.postgresql.org/
Licenses: custom:PostgreSQL
Conflicts: postgresql
Provides: postgresql
Submitter: TheGoliath
Maintainer: bigdavedev
Last Packager: bigdavedev
Votes: 6
Popularity: 0.36
First Submitted: 2020-04-26 15:51 (UTC)
Last Updated: 2022-01-30 14:36 (UTC)

Required by (323)

Sources (9)

Latest Comments

bigdavedev commented on 2021-01-14 09:36 (UTC) (edited on 2021-01-14 10:24 (UTC) by bigdavedev)

[EDIT]: This has now been patched and released.

Thank you, I noticed that this morning. I am already testing a fix with an upstream patch for this.

https://github.com/archlinux/svntogit-packages/blob/packages/postgresql/trunk/icu68.patch

DonHubi commented on 2021-01-14 09:27 (UTC)

Installation aborted with the following error:

collationcmds.c: In function ‘get_icu_language_tag’:
collationcmds.c:447:51: error: ‘TRUE’ undeclared (first use in this function); did you mean ‘IS_TRUE’?
  447 |  uloc_toLanguageTag(localename, buf, sizeof(buf), TRUE, &status);
      |                                                   ^~~~
      |                                                   IS_TRUE
collationcmds.c:447:51: note: each undeclared identifier is reported only once for each function it appears in
make[3]: *** [<builtin>: collationcmds.o] Error 1
make[3]: Leaving directory '/home/dome/.cache/yay/postgresql-11/src/postgresql-11.10/src/backend/commands'
make[2]: *** [common.mk:39: commands-recursive] Error 2
make[2]: Leaving directory '/home/dome/.cache/yay/postgresql-11/src/postgresql-11.10/src/backend'
make[1]: *** [Makefile:42: all-backend-recurse] Error 2
make[1]: Leaving directory '/home/dome/.cache/yay/postgresql-11/src/postgresql-11.10/src'
make: *** [GNUmakefile:19: world-src-recurse] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

DuBistKomisch commented on 2021-01-12 03:55 (UTC)

I've just created postgresql-12, and while cross checking everything I noticed postgresql.install in this package isn't actually needed, it was removed in the official package with 11.2.